Browser Technical Requirements

The following describes the browser requirements for FarmCreditEast.com, including online banking.

Current versions of the following browsers are required:

  • Google Chrome (latest version)
  • Mozilla Firefox (latest version)
  • Safari (latest version)
  • Microsoft Edge (latest version)

If a user is having issues with pages loading properly or features not working as expected, they might need to download or upgrade to the latest versions of one of the browsers listed above in order to fully utilize these online tools. To determine what type of browser in use, visit www.whatsmybrowser.org. This will give you details about the device you are using, the browser and version, as well as your operating system.

NOTE: Browsers are constantly changing, and most will be set to auto update to keep them current. It is quite possible, on occasion, for a browser manufacturer to introduce changes to their product that will impact Farm Credit East's online tools.

Supported Devices

FarmCreditEast.com functionality, including online banking, has been tested on the following devices. 

  • Apple iPhone 7 or greater (with latest Safari)
  • Samsung Galaxy 10 or greater (with current browser)
  • Apple iPad (version x)

If you continue to run into trouble, we recommend you access Farm Credit East's online tools from a desktop device using one of the supported browsers mentioned above.